## org.apache.maven.shared.jar.classes
Class JarClasses

    java.lang.Object
      org.apache.maven.shared.jar.classes.JarClasses

    public class JarClasses

extends java.lang.Object

Gathered facts about the classes within a JAR file.

See Also:
  `JarClassesAnalysis.analyze(org.apache.maven.shared.jar.JarAnalyzer)`

Constructor Summary
`JarClasses()` Constructor to create an empty instance.

Method Summary
`void` `addClassName(java.lang.String name)` Add a discovered class to the record.
`void` `addImports(java.util.List imports)` Add a list of discovered imports to the record.
`void` `addMethod(java.lang.String name)` Add a discovered method to the record.
`void` `addPackage(java.lang.String name)` Add a discovered package to the record.
`java.util.List` `getClassNames()`
`java.util.List` `getImports()`
`java.lang.String` `getJdkRevision()`
`java.util.List` `getMethods()`
`java.util.List` `getPackages()`
`boolean` `isDebugPresent()`
`void` `setDebugPresent(boolean hasDebugSymbols)`
`void` `setJdkRevision(java.lang.String jdkRevision)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarClasses

    public JarClasses()

  Constructor to create an empty instance.

Method Detail

### addClassName

    public void addClassName(java.lang.String name)

  Add a discovered class to the record.

  Parameters:
    `name` - the name of the class

### addPackage

    public void addPackage(java.lang.String name)

  Add a discovered package to the record.

  Parameters:
    `name` - the name of the package

### addMethod

    public void addMethod(java.lang.String name)

  Add a discovered method to the record.

  Parameters:
    `name` - the name of the method

### addImports

    public void addImports(java.util.List imports)

  Add a list of discovered imports to the record.

  Parameters:
    `imports` - the imports to add. Each item should be a String to avoid down the line ClassCastExceptions.

### getImports

    public java.util.List getImports()

### getClassNames

    public java.util.List getClassNames()

### getPackages

    public java.util.List getPackages()

### isDebugPresent

    public boolean isDebugPresent()

### setDebugPresent

    public void setDebugPresent(boolean hasDebugSymbols)

### getJdkRevision

    public java.lang.String getJdkRevision()

### setJdkRevision

    public void setJdkRevision(java.lang.String jdkRevision)

### getMethods

    public java.util.List getMethods()

Copyright © 2011. All Rights Reserved.